summaryrefslogtreecommitdiff
path: root/buildbot/bootstrap-scripts/bootstrap-integration
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-04-14 12:11:01 +0200
committerFlorian Dold <florian@dold.me>2021-04-14 12:11:01 +0200
commit38f4e5eb5ad2e433758b9a7a758413112240bbc3 (patch)
tree2eca466dbd6bbd681da237fd4efdf3e3338333dc /buildbot/bootstrap-scripts/bootstrap-integration
parent28b0ccfca5d0cf2de31548d8051207583a20c3b4 (diff)
downloaddeployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.tar.gz
deployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.tar.bz2
deployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.zip
move undocumented bootstrap scripts out of the way
Diffstat (limited to 'buildbot/bootstrap-scripts/bootstrap-integration')
-rwxr-xr-xbuildbot/bootstrap-scripts/bootstrap-integration18
1 files changed, 18 insertions, 0 deletions
diff --git a/buildbot/bootstrap-scripts/bootstrap-integration b/buildbot/bootstrap-scripts/bootstrap-integration
new file mode 100755
index 0000000..c9b0bd1
--- /dev/null
+++ b/buildbot/bootstrap-scripts/bootstrap-integration
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the integration test ("CHECKER_FACTORY")
+
+
+set -eu
+
+if [[ ! -d worker ]]; then
+ buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 checker-worker checker-pass
+fi
+
+mkdir -p ~/.config/systemd/user/
+cp systemd-services/buildbot-worker-checker.service ~/.config/systemd/user/
+
+systemctl --user daemon-reload || echo "Please use 'machinectl shell checker@.host' to log in to use this script"
+
+systemctl --user enable buildbot-worker-checker.service
+systemctl --user start buildbot-worker-checker.service